<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\ApiController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});


Route::get('getProvince',[ApiController::class,'getProvince']);
Route::get('getKabupaten',[ApiController::class,'getKabupaten']);
Route::get('getKecamatan',[ApiController::class,'getKecamatan']);
Route::get('getSekolah',[ApiController::class,'getSekolah']);
Route::get('/scrappingMI', [ApiController::class, 'scrappingMI']);
Route::get('/scrappingMA', [ApiController::class, 'scrappingMA']);
// Route::get('getKabupaten',[ApiController::class,'getKabupaten']);